From d8241033053e87b7d71f0e34bdb78ab0e9dcda2c Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Dec 11 2022 08:14:22 +0000
Subject: [PATCH 1/25] Update to 3.24.35


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index b106177..8e97733 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -2,7 +2,7 @@
 %global with_broadway 1
 %endif
 
-%global gtk3_classic_version 3.24.34-2
+%global gtk3_classic_version 3.24.35
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -19,14 +19,16 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.34
-Release: 2%{?dist}
+Version: 3.24.35
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPLv2+
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
+# Missing from the tarball for some reason.
+Source2: wayland-cursor-meson.build
 
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
@@ -176,6 +178,7 @@ the functionality of the installed %{name} package.
 
 %prep
 %autosetup -n gtk+-%{version} -p1
+cp -p %{SOURCE2} gdk/wayland/cursor/meson.build
 tar xzf %{SOURCE1}
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 
@@ -318,6 +321,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Tue Nov 22 2022 David King <amigadave@amigadave.com> - 3.24.35-1
+- Update to 3.24.35
+
 * Fri Sep 23 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 3.24.34-2
 - Renamed to gtk3-classic, derived from sources of the gtk3 Fedora package
 
diff --git a/wayland-cursor-meson.build b/wayland-cursor-meson.build
new file mode 100644
index 0000000..02d5f2b
--- /dev/null
+++ b/wayland-cursor-meson.build
@@ -0,0 +1,12 @@
+wayland_cursor_sources = files([
+  'wayland-cursor.c',
+  'xcursor.c',
+  'os-compatibility.c'
+])
+
+libwayland_cursor = static_library('wayland+cursor',
+  sources: wayland_cursor_sources,
+  include_directories: [ confinc, ],
+  dependencies: [ glib_dep, wlclientdep, ],
+  c_args: common_cflags,
+)

From 35cc93b23dd0ab64e6241c748878ba8f0ba5310a Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Jan 09 2023 08:28:43 +0000
Subject: [PATCH 2/25] Update to 3.24.36


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 8e97733..bfb0227 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -2,7 +2,7 @@
 %global with_broadway 1
 %endif
 
-%global gtk3_classic_version 3.24.35
+%global gtk3_classic_version 3.24.36
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -19,7 +19,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.35
+Version: 3.24.36
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -27,8 +27,6 @@ License: LGPLv2+
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
-# Missing from the tarball for some reason.
-Source2: wayland-cursor-meson.build
 
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
@@ -178,7 +176,6 @@ the functionality of the installed %{name} package.
 
 %prep
 %autosetup -n gtk+-%{version} -p1
-cp -p %{SOURCE2} gdk/wayland/cursor/meson.build
 tar xzf %{SOURCE1}
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 
@@ -227,7 +224,7 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 
 %files -f gtk30.lang
 %license COPYING
-%doc AUTHORS NEWS README
+%doc NEWS README.md
 %{_bindir}/gtk-query-immodules-3.0*
 %{_bindir}/gtk-launch
 %{_libdir}/libgtk-3.so.*
@@ -321,6 +318,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Fri Dec 30 2022 David King <amigadave@amigadave.com> - 3.24.36-1
+- Update to 3.24.36
+
 * Tue Nov 22 2022 David King <amigadave@amigadave.com> - 3.24.35-1
 - Update to 3.24.35
 

From 7c83b7071661b5d08c126574dc30a5a4e855872e Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Mar 06 2023 12:13:36 +0000
Subject: [PATCH 3/25] Update to 3.24.37


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index bfb0227..d8032f4 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -2,7 +2,7 @@
 %global with_broadway 1
 %endif
 
-%global gtk3_classic_version 3.24.36
+%global gtk3_classic_version 3.24.37
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -19,7 +19,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.36
+Version: 3.24.37
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -96,6 +96,8 @@ Recommends: libcanberra-gtk3%{?_isa}
 # For Tracker search in the file chooser.
 Recommends: tracker-miners
 
+Recommends: (ibus-gtk3 if ibus)
+
 %description
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable for
@@ -318,9 +320,15 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Fri Mar 03 2023 David King <amigadave@amigadave.com> - 3.24.37-1
+- Update to 3.24.37
+
 * Fri Dec 30 2022 David King <amigadave@amigadave.com> - 3.24.36-1
 - Update to 3.24.36
 
+* Mon Nov 28 2022 Jens Petersen <petersen@redhat.com> - 3.24.35-2
+- Recommend ibus-gtk3 if ibus is installed
+
 * Tue Nov 22 2022 David King <amigadave@amigadave.com> - 3.24.35-1
 - Update to 3.24.35
 
diff --git a/wayland-cursor-meson.build b/wayland-cursor-meson.build
deleted file mode 100644
index 02d5f2b..0000000
--- a/wayland-cursor-meson.build
+++ /dev/null
@@ -1,12 +0,0 @@
-wayland_cursor_sources = files([
-  'wayland-cursor.c',
-  'xcursor.c',
-  'os-compatibility.c'
-])
-
-libwayland_cursor = static_library('wayland+cursor',
-  sources: wayland_cursor_sources,
-  include_directories: [ confinc, ],
-  dependencies: [ glib_dep, wlclientdep, ],
-  c_args: common_cflags,
-)

From 9d27a1ef8e997b6f4ca76d7c33110ef9d2223258 Mon Sep 17 00:00:00 2001
From: mochaaP <git@mochaa.ws>
Date: Apr 15 2023 03:55:55 +0000
Subject: [PATCH 4/25] Update to 3.24.37-2


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index d8032f4..c494303 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -2,7 +2,7 @@
 %global with_broadway 1
 %endif
 
-%global gtk3_classic_version 3.24.37
+%global gtk3_classic_version 3.24.37-2
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,13 +20,14 @@
 
 Name:    gtk3-classic
 Version: 3.24.37
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPLv2+
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
+Source2: https://github.com/simplejack-src/gtk3-classic-xfce/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-xfce-%{gtk3_classic_version}.tar.gz
 
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
@@ -179,6 +180,9 @@ the functionality of the installed %{name} package.
 %prep
 %autosetup -n gtk+-%{version} -p1
 tar xzf %{SOURCE1}
+tar xzf %{SOURCE2}
+QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
+QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt import gtk3-classic-xfce-%{gtk3_classic_version}/*.patch
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 
 %build
@@ -320,6 +324,10 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Sat Apr 15 2023 Zephyr Lykos <fedora@mochaa.ws> - 3.24.37-2
+- Update gtk3-classic patch to 3.24.37-2
+- Apply gtk3-classic-xfce for consistency with Thunar
+
 * Fri Mar 03 2023 David King <amigadave@amigadave.com> - 3.24.37-1
 - Update to 3.24.37
 

From ac3a32ce32d71edee5bfe85b07cdda73dfbab5cf Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: May 26 2023 03:31:03 +0000
Subject: [PATCH 5/25] gtk3: update to 3.24.38


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index c494303..6442a27 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -2,7 +2,7 @@
 %global with_broadway 1
 %endif
 
-%global gtk3_classic_version 3.24.37-2
+%global gtk3_classic_version 3.24.38
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -19,8 +19,8 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.37
-Release: 2%{?dist}
+Version: 3.24.38
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPLv2+
@@ -324,6 +324,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Mon May 22 2023 David King <amigadave@amigadave.com> - 3.24.38-1
+- Update to 3.24.38
+
 * Sat Apr 15 2023 Zephyr Lykos <fedora@mochaa.ws> - 3.24.37-2
 - Update gtk3-classic patch to 3.24.37-2
 - Apply gtk3-classic-xfce for consistency with Thunar

From a14cb7769888b1b9aaf1164cf5081b38245959b8 Mon Sep 17 00:00:00 2001
From: Yaakov Selkowitz <yselkowi@redhat.com>
Date: Jul 02 2023 13:14:46 +0000
Subject: [PATCH 6/25] gtk3-classic: Disable cloudproviders in RHEL/ELN builds


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 6442a27..3450367 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -1,5 +1,6 @@
 %if 0%{?fedora}
 %global with_broadway 1
+%global with_cloudproviders 1
 %endif
 
 %global gtk3_classic_version 3.24.38
@@ -20,10 +21,10 @@
 
 Name:    gtk3-classic
 Version: 3.24.38
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
-License: LGPLv2+
+License: LGPL-2.0-or-later
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
@@ -38,7 +39,9 @@ BuildRequires: pkgconfig(atk-bridge-2.0)
 BuildRequires: pkgconfig(avahi-gobject)
 BuildRequires: pkgconfig(cairo) >= %{cairo_version}
 BuildRequires: pkgconfig(cairo-gobject) >= %{cairo_version}
+%if 0%{?with_cloudproviders}
 BuildRequires: pkgconfig(cloudproviders)
+%endif
 BuildRequires: pkgconfig(colord)
 BuildRequires: pkgconfig(egl)
 BuildRequires: pkgconfig(epoxy)
@@ -126,7 +129,11 @@ Provides: gtk3-immodules%{?_isa} = %{version}-%{release}
 Conflicts: gtk3-immodules%{?_isa}
 Requires: gtk3-classic%{?_isa} = %{version}-%{release}
 # for im-cedilla.conf
+%if 0%{?fedora} >= 38 || 0%{?rhel} > 9
+Requires: gtk-immodules-imsettings
+%else
 Requires: gtk2-immodules%{?_isa}
+%endif
 
 %description immodules
 The gtk3-immodules package contains standalone input methods that
@@ -193,7 +200,9 @@ export CFLAGS='-fno-strict-aliasing %optflags'
 %endif
         -Dbuiltin_immodules=wayland,waylandgtk \
         -Dcolord=yes \
+%if 0%{?with_cloudproviders}
         -Dcloudproviders=true \
+%endif
         -Dgtk_doc=true \
         -Dinstalled_tests=true \
         -Dman=true \
@@ -324,6 +333,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Fri Jun 23 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3.24.38-2
+- Disable cloudproviders in RHEL/ELN builds
+
 * Mon May 22 2023 David King <amigadave@amigadave.com> - 3.24.38-1
 - Update to 3.24.38
 

From 9ecb28a1d6e4c744c3bd5f6f0572403ffb4d8a33 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jul 26 2023 17:05:04 +0000
Subject: [PATCH 7/25] Rebuild for F39


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 3450367..ba1e8ae 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.38
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -333,6 +333,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.38-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
+
 * Fri Jun 23 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3.24.38-2
 - Disable cloudproviders in RHEL/ELN builds
 

From a4c8e18021e07b32c91a74d9f9deb6637195d0c3 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Aug 17 2023 09:23:58 +0000
Subject: [PATCH 8/25] Update patch to 3.24.28-3


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index ba1e8ae..862b66c 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.38
+%global gtk3_classic_version 3.24.38-3
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -21,14 +21,14 @@
 
 Name:    gtk3-classic
 Version: 3.24.38
-Release: 3%{?dist}
+Release: 4%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
-Source2: https://github.com/simplejack-src/gtk3-classic-xfce/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-xfce-%{gtk3_classic_version}.tar.gz
+Source2: https://github.com/simplejack-src/gtk3-classic-xfce/archive/refs/tags/%{version}.tar.gz#/gtk3-classic-xfce-%{version}.tar.gz
 
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
@@ -189,7 +189,7 @@ the functionality of the installed %{name} package.
 tar xzf %{SOURCE1}
 tar xzf %{SOURCE2}
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
-QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt import gtk3-classic-xfce-%{gtk3_classic_version}/*.patch
+QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt import gtk3-classic-xfce-%{version}/*.patch
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 
 %build
@@ -333,6 +333,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Thu Aug 17 2023 Zephyr Lykos <fedora@mochaa.ws> - 3.24.38-4
+- Update gtk3-classic patch to 3.24.38-3
+
 * Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.38-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
 

From 9301cf202762b8165f048f7cc44c94a0e0c62165 Mon Sep 17 00:00:00 2001
From: Kalev Lember <klember@redhat.com>
Date: Dec 20 2023 13:57:18 +0000
Subject: [PATCH 9/25] Update to 3.24.39


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 862b66c..bdbad77 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.38-3
+%global gtk3_classic_version 3.24.39
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,15 +20,14 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.38
-Release: 4%{?dist}
+Version: 3.24.39
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
 URL:     https://gtk.org
 Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
-Source2: https://github.com/simplejack-src/gtk3-classic-xfce/archive/refs/tags/%{version}.tar.gz#/gtk3-classic-xfce-%{version}.tar.gz
 
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
@@ -187,9 +186,6 @@ the functionality of the installed %{name} package.
 %prep
 %autosetup -n gtk+-%{version} -p1
 tar xzf %{SOURCE1}
-tar xzf %{SOURCE2}
-QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
-QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt import gtk3-classic-xfce-%{version}/*.patch
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 
 %build
@@ -333,6 +329,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Tue Dec 19 2023 Kalev Lember <klember@redhat.com> - 3.24.39-1
+- Update to 3.24.39
+
 * Thu Aug 17 2023 Zephyr Lykos <fedora@mochaa.ws> - 3.24.38-4
 - Update gtk3-classic patch to 3.24.38-3
 
@@ -352,6 +351,12 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 * Fri Mar 03 2023 David King <amigadave@amigadave.com> - 3.24.37-1
 - Update to 3.24.37
 
+* Wed Feb 01 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3.24.36-3
+- Depend on gtk-immodules-imsettings where available
+
+* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.36-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
+
 * Fri Dec 30 2022 David King <amigadave@amigadave.com> - 3.24.36-1
 - Update to 3.24.36
 

From e82b9f2bd1a4655b0199cfa9b11bd2464a0547a3 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jan 19 2024 17:44:22 +0000
Subject: [PATCH 10/25] Update to 3.24.40


---

diff --git a/gtk-3.24.40-cast-fixes.patch b/gtk-3.24.40-cast-fixes.patch
new file mode 100644
index 0000000..ac8aeb8
--- /dev/null
+++ b/gtk-3.24.40-cast-fixes.patch
@@ -0,0 +1,82 @@
+From e0d9dd8ba96bfc86d71bf3cd2d56521f4be561a3 Mon Sep 17 00:00:00 2001
+From: David King <amigadave@amigadave.com>
+Date: Fri, 19 Jan 2024 10:41:33 +0000
+Subject: [PATCH 1/2] tests: Fix GdkEventButton casts in testinput
+
+---
+ tests/testinput.c | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/tests/testinput.c b/tests/testinput.c
+index b68552a428..3d4d7f6f87 100644
+--- a/tests/testinput.c
++++ b/tests/testinput.c
+@@ -194,7 +194,7 @@ button_press_event (GtkWidget *widget, GdkEventButton *event)
+ 
+       print_axes (event->device, event->axes);
+       gdk_event_get_axis ((GdkEvent *)event, GDK_AXIS_PRESSURE, &pressure);
+-      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
++      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
+                   event->x, event->y, pressure);
+ 
+       motion_time = event->time;
+@@ -239,10 +239,10 @@ motion_notify_event (GtkWidget *widget, GdkEventMotion *event)
+ 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_X, &x);
+ 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_Y, &y);
+ 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_PRESSURE, &pressure);
+-	      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
++	      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
+                           x, y, pressure);
+ 
+-	      print_axes (gdk_event_get_source_device (event), events[i]->axes);
++	      print_axes (gdk_event_get_source_device ((GdkEvent *)event), events[i]->axes);
+ 	    }
+ 	  gdk_device_free_history (events, n_events);
+ 	}
+@@ -252,7 +252,7 @@ motion_notify_event (GtkWidget *widget, GdkEventMotion *event)
+ 
+ 	  gdk_event_get_axis ((GdkEvent *)event, GDK_AXIS_PRESSURE, &pressure);
+ 
+-	  draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
++	  draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
+                       event->x, event->y, pressure);
+ 	}
+       motion_time = event->time;
+-- 
+2.43.0
+
+
+From 9a979bf5f040d44fbbdcac1195d660ef2b8a04fd Mon Sep 17 00:00:00 2001
+From: David King <amigadave@amigadave.com>
+Date: Fri, 19 Jan 2024 11:04:37 +0000
+Subject: [PATCH 2/2] testsuite: Fix casts in reftests
+
+---
+ testsuite/reftests/gtk-reftest.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/testsuite/reftests/gtk-reftest.c b/testsuite/reftests/gtk-reftest.c
+index 1a51a9756b..b6a144ff0d 100644
+--- a/testsuite/reftests/gtk-reftest.c
++++ b/testsuite/reftests/gtk-reftest.c
+@@ -381,7 +381,7 @@ enforce_default_settings (void)
+ 
+   klass = g_type_class_ref (G_OBJECT_TYPE (settings));
+ 
+-  pspecs = g_object_class_list_properties (klass, &n_pspecs);
++  pspecs = g_object_class_list_properties ((GObjectClass *)klass, &n_pspecs);
+   for (i = 0; i < n_pspecs; i++)
+     {
+       GParamSpec *pspec = pspecs[i];
+@@ -394,7 +394,7 @@ enforce_default_settings (void)
+         continue;
+ 
+       value = g_param_spec_get_default_value (pspec);
+-      g_object_set_property (settings, pspec->name, value);
++      g_object_set_property ((GObject *)settings, pspec->name, value);
+     }
+ 
+   g_free (pspecs);
+-- 
+2.43.0
+
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index bdbad77..754fae5 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.39
+%global gtk3_classic_version 3.24.40
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,7 +20,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.39
+Version: 3.24.40
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -33,6 +33,9 @@ Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
 Conflicts: gtk3%{?_isa}
 
+# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/6782
+Patch:   gtk-3.24.40-cast-fixes.patch
+
 BuildRequires: pkgconfig(atk) >= %{atk_version}
 BuildRequires: pkgconfig(atk-bridge-2.0)
 BuildRequires: pkgconfig(avahi-gobject)
@@ -290,10 +293,13 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_libdir}/gtk-3.0/%{bin_version}/immodules/im-xim.so
 
 %files devel -f gtk30-properties.lang
-%{_libdir}/lib*.so
-%{_includedir}/*
-%{_datadir}/aclocal/*
-%{_libdir}/pkgconfig/*
+%{_libdir}/libgdk-3.so
+%{_libdir}/libgtk-3.so
+%{_libdir}/libgailutil-3.so
+%{_includedir}/gail-3.0/
+%{_includedir}/gtk-3.0/
+%{_datadir}/aclocal/gtk-3.0.m4
+%{_libdir}/pkgconfig/g*-3.0.pc
 %{_bindir}/gtk3-demo
 %{_bindir}/gtk3-icon-browser
 %{_bindir}/gtk-builder-tool
@@ -329,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Fri Jan 19 2024 David King <amigadave@amigadave.com> - 3.24.40-1
+- Update to 3.24.40
+
 * Tue Dec 19 2023 Kalev Lember <klember@redhat.com> - 3.24.39-1
 - Update to 3.24.39
 

From 67b4416a60ddaa99a16d3c77cd8c1bc38fcab171 Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Jan 25 2024 20:42:45 +0000
Subject: [PATCH 11/25] Update to 3.24.41


---

diff --git a/gtk-3.24.40-cast-fixes.patch b/gtk-3.24.40-cast-fixes.patch
deleted file mode 100644
index ac8aeb8..0000000
--- a/gtk-3.24.40-cast-fixes.patch
+++ /dev/null
@@ -1,82 +0,0 @@
-From e0d9dd8ba96bfc86d71bf3cd2d56521f4be561a3 Mon Sep 17 00:00:00 2001
-From: David King <amigadave@amigadave.com>
-Date: Fri, 19 Jan 2024 10:41:33 +0000
-Subject: [PATCH 1/2] tests: Fix GdkEventButton casts in testinput
-
----
- tests/testinput.c | 8 ++++----
- 1 file changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/tests/testinput.c b/tests/testinput.c
-index b68552a428..3d4d7f6f87 100644
---- a/tests/testinput.c
-+++ b/tests/testinput.c
-@@ -194,7 +194,7 @@ button_press_event (GtkWidget *widget, GdkEventButton *event)
- 
-       print_axes (event->device, event->axes);
-       gdk_event_get_axis ((GdkEvent *)event, GDK_AXIS_PRESSURE, &pressure);
--      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
-+      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
-                   event->x, event->y, pressure);
- 
-       motion_time = event->time;
-@@ -239,10 +239,10 @@ motion_notify_event (GtkWidget *widget, GdkEventMotion *event)
- 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_X, &x);
- 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_Y, &y);
- 	      gdk_device_get_axis (event->device, events[i]->axes, GDK_AXIS_PRESSURE, &pressure);
--	      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
-+	      draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
-                           x, y, pressure);
- 
--	      print_axes (gdk_event_get_source_device (event), events[i]->axes);
-+	      print_axes (gdk_event_get_source_device ((GdkEvent *)event), events[i]->axes);
- 	    }
- 	  gdk_device_free_history (events, n_events);
- 	}
-@@ -252,7 +252,7 @@ motion_notify_event (GtkWidget *widget, GdkEventMotion *event)
- 
- 	  gdk_event_get_axis ((GdkEvent *)event, GDK_AXIS_PRESSURE, &pressure);
- 
--	  draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device (event)),
-+	  draw_brush (widget, gdk_device_get_source (gdk_event_get_source_device ((GdkEvent *)event)),
-                       event->x, event->y, pressure);
- 	}
-       motion_time = event->time;
--- 
-2.43.0
-
-
-From 9a979bf5f040d44fbbdcac1195d660ef2b8a04fd Mon Sep 17 00:00:00 2001
-From: David King <amigadave@amigadave.com>
-Date: Fri, 19 Jan 2024 11:04:37 +0000
-Subject: [PATCH 2/2] testsuite: Fix casts in reftests
-
----
- testsuite/reftests/gtk-reftest.c | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/testsuite/reftests/gtk-reftest.c b/testsuite/reftests/gtk-reftest.c
-index 1a51a9756b..b6a144ff0d 100644
---- a/testsuite/reftests/gtk-reftest.c
-+++ b/testsuite/reftests/gtk-reftest.c
-@@ -381,7 +381,7 @@ enforce_default_settings (void)
- 
-   klass = g_type_class_ref (G_OBJECT_TYPE (settings));
- 
--  pspecs = g_object_class_list_properties (klass, &n_pspecs);
-+  pspecs = g_object_class_list_properties ((GObjectClass *)klass, &n_pspecs);
-   for (i = 0; i < n_pspecs; i++)
-     {
-       GParamSpec *pspec = pspecs[i];
-@@ -394,7 +394,7 @@ enforce_default_settings (void)
-         continue;
- 
-       value = g_param_spec_get_default_value (pspec);
--      g_object_set_property (settings, pspec->name, value);
-+      g_object_set_property ((GObject *)settings, pspec->name, value);
-     }
- 
-   g_free (pspecs);
--- 
-2.43.0
-
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 754fae5..ab038f3 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.40
+%global gtk3_classic_version 3.24.41
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,7 +20,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.40
+Version: 3.24.41
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -33,9 +33,6 @@ Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
 Conflicts: gtk3%{?_isa}
 
-# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/6782
-Patch:   gtk-3.24.40-cast-fixes.patch
-
 BuildRequires: pkgconfig(atk) >= %{atk_version}
 BuildRequires: pkgconfig(atk-bridge-2.0)
 BuildRequires: pkgconfig(avahi-gobject)
@@ -59,7 +56,6 @@ BuildRequires: pkgconfig(wayland-protocols) >= %{wayland_protocols_version}
 BuildRequires: pkgconfig(xi)
 BuildRequires: pkgconfig(xrandr) >= %{xrandr_version}
 BuildRequires: pkgconfig(xrender)
-BuildRequires: pkgconfig(xrender)
 BuildRequires: pkgconfig(xcursor)
 BuildRequires: pkgconfig(xfixes)
 BuildRequires: pkgconfig(xinerama)
@@ -335,6 +331,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Wed Jan 24 2024 David King <amigadave@amigadave.com> - 3.24.41-1
+- Update to 3.24.41
+
 * Fri Jan 19 2024 David King <amigadave@amigadave.com> - 3.24.40-1
 - Update to 3.24.40
 

From b1dcc1ef3711a99e06e46f972bcba29834b4aa7d Mon Sep 17 00:00:00 2001
From: Nieves Montero <nmontero@redhat.com>
Date: May 18 2024 03:06:01 +0000
Subject: [PATCH 12/25] Update to 3.24.42


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index ab038f3..5bba48a 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.41
+%global gtk3_classic_version 3.24.42
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,7 +20,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.41
+Version: 3.24.42
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -331,6 +331,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Thu May 16 2024 Nieves Montero <nmontero@redhat.com> - 3.24.42-1
+- Update to 3.24.42
+
 * Wed Jan 24 2024 David King <amigadave@amigadave.com> - 3.24.41-1
 - Update to 3.24.41
 

From 17f99f89213e82460ce3a116e14a6814565463e9 Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Jul 12 2024 13:55:00 +0000
Subject: [PATCH 13/25] Enable profiler support


(cherry picked from commit 5fa7cc24f379a0a8e5079c91c875ca1c4d6d0976)

---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 5bba48a..89df076 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.42
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -48,6 +48,7 @@ BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
 BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
 BuildRequires: pkgconfig(gobject-introspection-1.0)
 BuildRequires: pkgconfig(pango) >= %{pango_version}
+BuildRequires: pkgconfig(sysprof-capture-4)
 BuildRequires: pkgconfig(tracker-sparql-3.0)
 BuildRequires: pkgconfig(wayland-client) >= %{wayland_version}
 BuildRequires: pkgconfig(wayland-cursor) >= %{wayland_version}
@@ -201,6 +202,7 @@ export CFLAGS='-fno-strict-aliasing %optflags'
         -Dgtk_doc=true \
         -Dinstalled_tests=true \
         -Dman=true \
+        -Dprofiler=true \
         -Dtracker3=true \
         -Dxinerama=yes \
 %meson_build
@@ -331,6 +333,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Tue May 21 2024 David King <amigadave@amigadave.com> - 3.24.42-2
+- Enable profiler support
+
 * Thu May 16 2024 Nieves Montero <nmontero@redhat.com> - 3.24.42-1
 - Update to 3.24.42
 

From ce5e551dd46b5956835efdfc38c46d333a3d1562 Mon Sep 17 00:00:00 2001
From: Owen W. Taylor <otaylor@fishsoup.net>
Date: Jul 12 2024 13:55:10 +0000
Subject: [PATCH 14/25] Remove gtk-immodules-imsettings dependency for RHEL 10


gtk-immodules-imsettings is a gtk2 subpackage that drops a config
file for imsettings. Since imsettings hasn't been in RHEL since
RHEL 7, and gtk2 won't be in RHEL 10, conditionalize out the
dependency.

https://issues.redhat.com/projects/RHEL/issues/RHEL-38223

Signed-off-by: Owen Taylor <otaylor@redhat.com>
(cherry picked from commit edf841b6419052e844442ba7d88bd93c61c33712)

---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 89df076..1bb9afb 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -128,7 +128,9 @@ Provides: gtk3-immodules%{?_isa} = %{version}-%{release}
 Conflicts: gtk3-immodules%{?_isa}
 Requires: gtk3-classic%{?_isa} = %{version}-%{release}
 # for im-cedilla.conf
-%if 0%{?fedora} >= 38 || 0%{?rhel} > 9
+%if 0%{?rhel} > 9
+# No imsettings or gtk2, im-cedilla.conf not needed
+%elif 0%{?fedora} >= 38
 Requires: gtk-immodules-imsettings
 %else
 Requires: gtk2-immodules%{?_isa}
@@ -333,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Wed May 22 2024 Owen Taylor <otaylor@redhat.com> - 3.24.42-2
+- Remove gtk-immodules-imsettings (gtk2 subpackage) dependency for RHEL 10
+
 * Tue May 21 2024 David King <amigadave@amigadave.com> - 3.24.42-2
 - Enable profiler support
 

From 861f9e316288a3cc2be86c529f191dd1e935c384 Mon Sep 17 00:00:00 2001
From: nmontero <nmontero@redhat.com>
Date: Jul 12 2024 13:55:50 +0000
Subject: [PATCH 15/25] Update to 3.24.43


(cherry picked from commit 6170a9ebe40d459d87dcd62f8c7e3f0bbfe10889)

---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 1bb9afb..97d7137 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.42
+%global gtk3_classic_version 3.24.43
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,8 +20,8 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.42
-Release: 2%{?dist}
+Version: 3.24.43
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -335,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Thu Jul 11 2024 nmontero <nmontero@redhat.com> - 3.24.43-1
+- Update to 3.24.43
+
 * Wed May 22 2024 Owen Taylor <otaylor@redhat.com> - 3.24.42-2
 - Remove gtk-immodules-imsettings (gtk2 subpackage) dependency for RHEL 10
 

From 0368e1f781d3d4683347f92655cd8732bfcd75ae Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jul 28 2024 10:20:34 +0000
Subject: [PATCH 16/25] Update to 3.24.43-2


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 97d7137..bd315cc 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.43
+%global gtk3_classic_version 3.24.43-2
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.43
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -335,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Sun Jul 28 2024 Zephyr Lykos <fedora@mochaa.ws> - 3.24.43-2
+- Update gtk3-classic patch to 3.24.43-2
+
 * Thu Jul 11 2024 nmontero <nmontero@redhat.com> - 3.24.43-1
 - Update to 3.24.43
 

From c45ea7ebdc1fc838226fdd72b09612df450fa6c7 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jan 27 2025 00:10:33 +0000
Subject: [PATCH 17/25] Update to 3.24.48


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index bd315cc..b9b3284 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.43-2
+%global gtk3_classic_version 3.24.48-2
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,8 +20,8 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.43
-Release: 2%{?dist}
+Version: 3.24.48
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -335,6 +335,10 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Sun Jan 26 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.48-1
+- Update to 3.24.48
+- Update gtk3-classic patch to 3.24.48-2
+
 * Sun Jul 28 2024 Zephyr Lykos <fedora@mochaa.ws> - 3.24.43-2
 - Update gtk3-classic patch to 3.24.43-2
 

From 8f92328f62bd594243768112e0d91abbea385945 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Feb 11 2025 13:56:44 +0000
Subject: [PATCH 18/25] use sources from gnome gitlab


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index b9b3284..dfaa0fb 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -26,7 +26,7 @@ Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
 URL:     https://gtk.org
-Source0: https://download.gnome.org/sources/gtk+/3.24/gtk+-%{version}.tar.xz
+Source0: https://gitlab.gnome.org/GNOME/gtk/-/archive/%{version}/gtk-%{version}.tar.gz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
 
 Provides: gtk3 = %{version}-%{release}
@@ -186,7 +186,7 @@ The %{name}-tests package contains tests that can be used to verify
 the functionality of the installed %{name} package.
 
 %prep
-%autosetup -n gtk+-%{version} -p1
+%autosetup -n gtk-%{version} -p1
 tar xzf %{SOURCE1}
 QUILT_PATCHES=gtk3-classic-%{gtk3_classic_version} quilt push -a
 

From 4daf6300a99d52516439e9a5e128936c12c8cdf3 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jul 07 2025 14:58:18 +0000
Subject: [PATCH 19/25] update to 3.24.49-2


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index dfaa0fb..5dadaa7 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.48-2
+%global gtk3_classic_version 3.24.49-2
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,7 +20,7 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.48
+Version: 3.24.49
 Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
@@ -335,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Sun Mar 09 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.49-1
+- new version
+
 * Sun Jan 26 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.48-1
 - Update to 3.24.48
 - Update gtk3-classic patch to 3.24.48-2

From fbbbf8b4cd3603f68e921606bffc5e0c4d51bacb Mon Sep 17 00:00:00 2001
From: František Zatloukal <fzatlouk@redhat.com>
Date: Jul 07 2025 14:59:37 +0000
Subject: [PATCH 20/25] Backport #8332 and #8338 to fix gjs tests


(cherry picked from commit 0e211911acd1523b5df970f350bfec8d90902fe3)

---

diff --git a/8332.patch b/8332.patch
new file mode 100644
index 0000000..eda94d8
--- /dev/null
+++ b/8332.patch
@@ -0,0 +1,106 @@
+From 9b3476aaf672616d28dbb525e5a6ce39d9a533de Mon Sep 17 00:00:00 2001
+From: Maximiliano Sandoval <msandova@gnome.org>
+Date: Tue, 18 Mar 2025 18:06:18 +0100
+Subject: [PATCH 1/3] widget: Explicitly annotate visible's getter
+
+Since
+https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
+g-i will pick up gtk_widget_is_visible as the getter for this property.
+
+See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
+---
+ gtk/gtkwidget.c | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
+index a565e58b7d3..b6d125e706a 100644
+--- a/gtk/gtkwidget.c
++++ b/gtk/gtkwidget.c
+@@ -1148,7 +1148,9 @@ gtk_widget_class_init (GtkWidgetClass *klass)
+                         -1, G_MAXINT,
+                         -1,
+                         GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
+-
++  /**
++   * GtkWidget:visible: (getter get_visible)
++   */
+   widget_props[PROP_VISIBLE] =
+       g_param_spec_boolean ("visible",
+                             P_("Visible"),
+-- 
+GitLab
+
+
+From a11310a40b7444b56823da6bbb44b759f2b15cc8 Mon Sep 17 00:00:00 2001
+From: Maximiliano Sandoval <msandova@gnome.org>
+Date: Thu, 20 Mar 2025 18:44:25 +0100
+Subject: [PATCH 2/3] widget: Explicitly annotate sensitive's getter
+
+This is a continuation of 91fe0ee63a66a8244b0fe7f68aa06dd25fb127a2.
+
+Since
+https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
+g-i will pick up gtk_widget_is_visible as the getter for this property.
+
+See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
+---
+ gtk/gtkwidget.c | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
+index b6d125e706a..eb16d2e410c 100644
+--- a/gtk/gtkwidget.c
++++ b/gtk/gtkwidget.c
+@@ -1158,6 +1158,9 @@ gtk_widget_class_init (GtkWidgetClass *klass)
+                             FALSE,
+                             GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
+ 
++  /**
++   * GtkWidget:visible: (getter get_sensitive)
++   */
+   widget_props[PROP_SENSITIVE] =
+       g_param_spec_boolean ("sensitive",
+                             P_("Sensitive"),
+-- 
+GitLab
+
+
+From 52e2b8555f56dabdb0056e1d375fdacd4081c2df Mon Sep 17 00:00:00 2001
+From: Maximiliano Sandoval <msandova@gnome.org>
+Date: Thu, 20 Mar 2025 19:01:20 +0100
+Subject: [PATCH 3/3] action: Annotate sensitive & visible getters
+
+Since
+https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
+g-i will pick up gtk_widget_is_visible as the getter for this property.
+
+See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
+---
+ gtk/deprecated/gtkaction.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/gtk/deprecated/gtkaction.c b/gtk/deprecated/gtkaction.c
+index b89ae778f36..4c1abf2eb4a 100644
+--- a/gtk/deprecated/gtkaction.c
++++ b/gtk/deprecated/gtkaction.c
+@@ -453,7 +453,7 @@ gtk_action_class_init (GtkActionClass *klass)
+ 							 TRUE,
+ 							 GTK_PARAM_READWRITE));
+   /**
+-   * GtkAction:sensitive:
++   * GtkAction:sensitive: (getter get_sensitive)
+    *
+    * Whether the action is enabled.
+    *
+@@ -468,7 +468,7 @@ gtk_action_class_init (GtkActionClass *klass)
+ 							 TRUE,
+ 							 GTK_PARAM_READWRITE));
+   /**
+-   * GtkAction:visible:
++   * GtkAction:visible: (getter get_visible)
+    *
+    * Whether the action is visible.
+    *
+-- 
+GitLab
+
diff --git a/8338.patch b/8338.patch
new file mode 100644
index 0000000..30095f7
--- /dev/null
+++ b/8338.patch
@@ -0,0 +1,26 @@
+From 1076a6ef72e007c9d66ecff11638757a6ec68199 Mon Sep 17 00:00:00 2001
+From: Maximiliano Sandoval <msandova@gnome.org>
+Date: Fri, 21 Mar 2025 18:34:48 +0100
+Subject: [PATCH] widget: Fix typo in docstring's property name
+
+This is a fixup for a11310a40b7444b56823da6bbb44b759f2b15cc8.
+---
+ gtk/gtkwidget.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
+index eb16d2e410c..4aa686253a2 100644
+--- a/gtk/gtkwidget.c
++++ b/gtk/gtkwidget.c
+@@ -1159,7 +1159,7 @@ gtk_widget_class_init (GtkWidgetClass *klass)
+                             GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
+ 
+   /**
+-   * GtkWidget:visible: (getter get_sensitive)
++   * GtkWidget:sensitive: (getter get_sensitive)
+    */
+   widget_props[PROP_SENSITIVE] =
+       g_param_spec_boolean ("sensitive",
+-- 
+GitLab
+
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 5dadaa7..17d7b05 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.49
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -33,6 +33,13 @@ Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
 Conflicts: gtk3%{?_isa}
 
+# Fix gjs tests
+# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8332
+# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8338
+# https://gitlab.gnome.org/GNOME/gjs/-/issues/681
+Patch01: 8332.patch
+Patch02: 8338.patch
+
 BuildRequires: pkgconfig(atk) >= %{atk_version}
 BuildRequires: pkgconfig(atk-bridge-2.0)
 BuildRequires: pkgconfig(avahi-gobject)
@@ -335,8 +342,14 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
-* Sun Mar 09 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.49-1
-- new version
+* Thu Mar 27 2025 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.24.49-2
+- Backport #8332 and #8338 to fix gjs tests
+
+* Tue Mar 11 2025 nmontero <nmontero@redhat.com> - 3.24.49-1
+- Update to 3.24.49
+
+* Thu Feb 06 2025 nmontero <nmontero@redhat.com> - 3.24.43-4
+- Rebuild for the renaming of tracker to tinysparql
 
 * Sun Jan 26 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.48-1
 - Update to 3.24.48

From 0003fc164b87b36e43aedd8c5f48458b2ceffb7a Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jul 07 2025 15:04:30 +0000
Subject: [PATCH 21/25] Backport GTK commit a6748326


---

diff --git a/8755.patch b/8755.patch
new file mode 100644
index 0000000..c3bb235
--- /dev/null
+++ b/8755.patch
@@ -0,0 +1,33 @@
+From f944f3f33aae474921585a8f5cf7ae594b4ae66b Mon Sep 17 00:00:00 2001
+From: Matthias Clasen <mclasen@redhat.com>
+Date: Sun, 6 Jul 2025 23:57:08 +0200
+Subject: [PATCH] Trigger fontconfig initialization early
+
+Add a pango call to create the fontmap already in gtk_init.
+This will let us hide the cost of FcInit() (which on font-heavy
+systems can be ~100ms) in a thread, on the pango side.
+
+(cherry picked from commit a67483265888b6a5cad8)
+
+Closes #7639
+---
+ gtk/gtkmain.c | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/gtk/gtkmain.c b/gtk/gtkmain.c
+index ae64e1881c7..3c4a0108e0c 100644
+--- a/gtk/gtkmain.c
++++ b/gtk/gtkmain.c
+@@ -692,6 +692,9 @@ do_pre_parse_initialization (int    *argc,
+       slowdown = g_ascii_strtod (env_string, NULL);
+       _gtk_set_slowdown (slowdown);
+     }
++
++  /* Trigger fontconfig initialization early */
++  pango_cairo_font_map_get_default ();
+ }
+ 
+ static void
+-- 
+GitLab
+
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 17d7b05..eefbfd1 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -39,6 +39,9 @@ Conflicts: gtk3%{?_isa}
 # https://gitlab.gnome.org/GNOME/gjs/-/issues/681
 Patch01: 8332.patch
 Patch02: 8338.patch
+# Fix fontconfig 2.17+ warning: using without calling FcInit()
+# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8755
+Patch03: 8755.patch
 
 BuildRequires: pkgconfig(atk) >= %{atk_version}
 BuildRequires: pkgconfig(atk-bridge-2.0)

From 7aa77dc44d356b1c87605392cc575a28798b30e9 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Aug 21 2025 07:45:47 +0000
Subject: [PATCH 22/25] Update to 3.24.50


---

diff --git a/8332.patch b/8332.patch
deleted file mode 100644
index eda94d8..0000000
--- a/8332.patch
+++ /dev/null
@@ -1,106 +0,0 @@
-From 9b3476aaf672616d28dbb525e5a6ce39d9a533de Mon Sep 17 00:00:00 2001
-From: Maximiliano Sandoval <msandova@gnome.org>
-Date: Tue, 18 Mar 2025 18:06:18 +0100
-Subject: [PATCH 1/3] widget: Explicitly annotate visible's getter
-
-Since
-https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
-g-i will pick up gtk_widget_is_visible as the getter for this property.
-
-See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
----
- gtk/gtkwidget.c | 4 +++-
- 1 file changed, 3 insertions(+), 1 deletion(-)
-
-diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
-index a565e58b7d3..b6d125e706a 100644
---- a/gtk/gtkwidget.c
-+++ b/gtk/gtkwidget.c
-@@ -1148,7 +1148,9 @@ gtk_widget_class_init (GtkWidgetClass *klass)
-                         -1, G_MAXINT,
-                         -1,
-                         GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
--
-+  /**
-+   * GtkWidget:visible: (getter get_visible)
-+   */
-   widget_props[PROP_VISIBLE] =
-       g_param_spec_boolean ("visible",
-                             P_("Visible"),
--- 
-GitLab
-
-
-From a11310a40b7444b56823da6bbb44b759f2b15cc8 Mon Sep 17 00:00:00 2001
-From: Maximiliano Sandoval <msandova@gnome.org>
-Date: Thu, 20 Mar 2025 18:44:25 +0100
-Subject: [PATCH 2/3] widget: Explicitly annotate sensitive's getter
-
-This is a continuation of 91fe0ee63a66a8244b0fe7f68aa06dd25fb127a2.
-
-Since
-https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
-g-i will pick up gtk_widget_is_visible as the getter for this property.
-
-See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
----
- gtk/gtkwidget.c | 3 +++
- 1 file changed, 3 insertions(+)
-
-diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
-index b6d125e706a..eb16d2e410c 100644
---- a/gtk/gtkwidget.c
-+++ b/gtk/gtkwidget.c
-@@ -1158,6 +1158,9 @@ gtk_widget_class_init (GtkWidgetClass *klass)
-                             FALSE,
-                             GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
- 
-+  /**
-+   * GtkWidget:visible: (getter get_sensitive)
-+   */
-   widget_props[PROP_SENSITIVE] =
-       g_param_spec_boolean ("sensitive",
-                             P_("Sensitive"),
--- 
-GitLab
-
-
-From 52e2b8555f56dabdb0056e1d375fdacd4081c2df Mon Sep 17 00:00:00 2001
-From: Maximiliano Sandoval <msandova@gnome.org>
-Date: Thu, 20 Mar 2025 19:01:20 +0100
-Subject: [PATCH 3/3] action: Annotate sensitive & visible getters
-
-Since
-https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/473
-g-i will pick up gtk_widget_is_visible as the getter for this property.
-
-See https://gitlab.gnome.org/GNOME/gjs/-/issues/681.
----
- gtk/deprecated/gtkaction.c | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/gtk/deprecated/gtkaction.c b/gtk/deprecated/gtkaction.c
-index b89ae778f36..4c1abf2eb4a 100644
---- a/gtk/deprecated/gtkaction.c
-+++ b/gtk/deprecated/gtkaction.c
-@@ -453,7 +453,7 @@ gtk_action_class_init (GtkActionClass *klass)
- 							 TRUE,
- 							 GTK_PARAM_READWRITE));
-   /**
--   * GtkAction:sensitive:
-+   * GtkAction:sensitive: (getter get_sensitive)
-    *
-    * Whether the action is enabled.
-    *
-@@ -468,7 +468,7 @@ gtk_action_class_init (GtkActionClass *klass)
- 							 TRUE,
- 							 GTK_PARAM_READWRITE));
-   /**
--   * GtkAction:visible:
-+   * GtkAction:visible: (getter get_visible)
-    *
-    * Whether the action is visible.
-    *
--- 
-GitLab
-
diff --git a/8338.patch b/8338.patch
deleted file mode 100644
index 30095f7..0000000
--- a/8338.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-From 1076a6ef72e007c9d66ecff11638757a6ec68199 Mon Sep 17 00:00:00 2001
-From: Maximiliano Sandoval <msandova@gnome.org>
-Date: Fri, 21 Mar 2025 18:34:48 +0100
-Subject: [PATCH] widget: Fix typo in docstring's property name
-
-This is a fixup for a11310a40b7444b56823da6bbb44b759f2b15cc8.
----
- gtk/gtkwidget.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/gtk/gtkwidget.c b/gtk/gtkwidget.c
-index eb16d2e410c..4aa686253a2 100644
---- a/gtk/gtkwidget.c
-+++ b/gtk/gtkwidget.c
-@@ -1159,7 +1159,7 @@ gtk_widget_class_init (GtkWidgetClass *klass)
-                             GTK_PARAM_READWRITE|G_PARAM_EXPLICIT_NOTIFY);
- 
-   /**
--   * GtkWidget:visible: (getter get_sensitive)
-+   * GtkWidget:sensitive: (getter get_sensitive)
-    */
-   widget_props[PROP_SENSITIVE] =
-       g_param_spec_boolean ("sensitive",
--- 
-GitLab
-
diff --git a/8755.patch b/8755.patch
deleted file mode 100644
index c3bb235..0000000
--- a/8755.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-From f944f3f33aae474921585a8f5cf7ae594b4ae66b Mon Sep 17 00:00:00 2001
-From: Matthias Clasen <mclasen@redhat.com>
-Date: Sun, 6 Jul 2025 23:57:08 +0200
-Subject: [PATCH] Trigger fontconfig initialization early
-
-Add a pango call to create the fontmap already in gtk_init.
-This will let us hide the cost of FcInit() (which on font-heavy
-systems can be ~100ms) in a thread, on the pango side.
-
-(cherry picked from commit a67483265888b6a5cad8)
-
-Closes #7639
----
- gtk/gtkmain.c | 3 +++
- 1 file changed, 3 insertions(+)
-
-diff --git a/gtk/gtkmain.c b/gtk/gtkmain.c
-index ae64e1881c7..3c4a0108e0c 100644
---- a/gtk/gtkmain.c
-+++ b/gtk/gtkmain.c
-@@ -692,6 +692,9 @@ do_pre_parse_initialization (int    *argc,
-       slowdown = g_ascii_strtod (env_string, NULL);
-       _gtk_set_slowdown (slowdown);
-     }
-+
-+  /* Trigger fontconfig initialization early */
-+  pango_cairo_font_map_get_default ();
- }
- 
- static void
--- 
-GitLab
-
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index eefbfd1..360e365 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.49-2
+%global gtk3_classic_version 3.24.50
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,8 +20,8 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.49
-Release: 2%{?dist}
+Version: 3.24.50
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -33,16 +33,6 @@ Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
 Conflicts: gtk3%{?_isa}
 
-# Fix gjs tests
-# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8332
-# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8338
-# https://gitlab.gnome.org/GNOME/gjs/-/issues/681
-Patch01: 8332.patch
-Patch02: 8338.patch
-# Fix fontconfig 2.17+ warning: using without calling FcInit()
-# https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8755
-Patch03: 8755.patch
-
 BuildRequires: pkgconfig(atk) >= %{atk_version}
 BuildRequires: pkgconfig(atk-bridge-2.0)
 BuildRequires: pkgconfig(avahi-gobject)
@@ -345,6 +335,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Mon Aug 18 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.50-1
+- Update to 3.24.50
+
 * Thu Mar 27 2025 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.24.49-2
 - Backport #8332 and #8338 to fix gjs tests
 

From 26b53d68cffb2b584ec62d9913110dce4b65bffd Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Sep 06 2025 07:03:08 +0000
Subject: [PATCH 23/25] Remove dependency on gdk-pixbuf2-modules


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 360e365..55599fb 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.50
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -87,9 +87,6 @@ Requires: libwayland-cursor%{?_isa} >= %{wayland_version}
 Requires: libXrandr%{?_isa} >= %{xrandr_version}
 Requires: pango%{?_isa} >= %{pango_version}
 
-# required to support all the different image formats
-Requires: gdk-pixbuf2-modules%{?_isa}
-
 # make sure we have a reasonable gsettings backend
 Recommends: dconf%{?_isa}
 
@@ -335,6 +332,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Sat Sep 06 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.50-2
+- Remove dependency on gdk-pixbuf2-modules
+
 * Mon Aug 18 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.50-1
 - Update to 3.24.50
 

From 1358cb531146540aac296eb23c4e2c1948a1cea0 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Oct 13 2025 13:14:58 +0000
Subject: [PATCH 24/25] Update to 3.24.51


---

diff --git a/drop-down-menu-fix.patch b/drop-down-menu-fix.patch
new file mode 100644
index 0000000..9b9fac1
--- /dev/null
+++ b/drop-down-menu-fix.patch
@@ -0,0 +1,94 @@
+From a7fabc99d5e9c5d11d02b1eea55e4b4bb5b45bf8 Mon Sep 17 00:00:00 2001
+From: Carlos Garnacho <carlosg@gnome.org>
+Date: Mon, 6 Oct 2025 18:53:15 +0200
+Subject: [PATCH] gtkmenu: Await more motion events before deactivating on
+ release
+
+Under some circumstances, it is possible to get into situations where
+a GtkMenu is popped down immediately on button release even on short
+clicks. The circumstances that exhibit this behavior are:
+
+- The GtkMenu has to pop up underneath the pointer. E.g. comboboxes,
+  but not necessarily just that.
+- The compositor has to send a motion event between button press and
+  release. E.g. RDP and EIS do that, in order to ensure the button
+  release happens in the right coordinates. But this might as well
+  happen in other circumstances, input devices and compositors.
+
+This results in GtkMenu thinking that this motion event was triggered
+by user input, thus deeming it no longer necessary to keep the menu
+opened after a short press+release.
+
+While this behavior makes some sense, doing so on the first synthetic
+motion event received is a bit too eager, so fix this by expecting
+a (low) number of motion events before considering that an item was
+definitely selected. Fixes these quickly dismissing popups in
+comboboxes (and other places) when interacting through RDP.
+
+Part-of: <https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/9022>
+---
+ gtk/gtkmenu.c        | 13 ++++++++++++-
+ gtk/gtkmenuprivate.h |  1 +
+ 2 files changed, 13 insertions(+), 1 deletion(-)
+
+diff --git a/gtk/gtkmenu.c b/gtk/gtkmenu.c
+index 18bef6957da..500194929b9 100644
+--- a/gtk/gtkmenu.c
++++ b/gtk/gtkmenu.c
+@@ -154,6 +154,10 @@
+ #define MENU_POPUP_DELAY     225
+ #define MENU_POPDOWN_DELAY  1000
+ 
++#define N_MOTION_EVENTS 3 /* Expected motion events before
++                           * allowing to popdown on release
++                           */
++
+ #define ATTACH_INFO_KEY "gtk-menu-child-attach-info-key"
+ #define ATTACHED_MENUS "gtk-attached-menus"
+ 
+@@ -4051,6 +4055,7 @@ static gboolean
+ gtk_menu_motion_notify (GtkWidget      *widget,
+                         GdkEventMotion *event)
+ {
++  GtkMenuPrivate *priv;
+   GtkWidget *menu_item;
+   GtkMenu *menu;
+   GtkMenuShell *menu_shell;
+@@ -4090,8 +4095,12 @@ gtk_menu_motion_notify (GtkWidget      *widget,
+ 
+   menu_shell = GTK_MENU_SHELL (parent);
+   menu = GTK_MENU (menu_shell);
++  priv = menu->priv;
+ 
+-  if (definitely_within_item (menu_item, event->x, event->y))
++  priv->n_motion_events++;
++
++  if (priv->n_motion_events >= N_MOTION_EVENTS &&
++      definitely_within_item (menu_item, event->x, event->y))
+     menu_shell->priv->activate_time = 0;
+ 
+   need_enter = (gtk_menu_has_navigation_triangle (menu) || menu_shell->priv->ignore_enter);
+@@ -4468,6 +4477,8 @@ gtk_menu_enter_notify (GtkWidget        *widget,
+   source_device = gdk_event_get_source_device ((GdkEvent *) event);
+   menu_item = gtk_get_event_widget ((GdkEvent*) event);
+ 
++  GTK_MENU (widget)->priv->n_motion_events = 0;
++
+   if (GTK_IS_MENU (widget) &&
+       gdk_device_get_source (source_device) != GDK_SOURCE_TOUCHSCREEN)
+     {
+diff --git a/gtk/gtkmenuprivate.h b/gtk/gtkmenuprivate.h
+index 0918d83e7bf..36c9dd46ba3 100644
+--- a/gtk/gtkmenuprivate.h
++++ b/gtk/gtkmenuprivate.h
+@@ -87,6 +87,7 @@ struct _GtkMenuPrivate
+   gint scroll_offset;
+   gint saved_scroll_offset;
+   gint scroll_step;
++  gint n_motion_events;
+ 
+   guint scroll_timeout;
+ 
+-- 
+GitLab
+
diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index 55599fb..cf3206e 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -3,7 +3,7 @@
 %global with_cloudproviders 1
 %endif
 
-%global gtk3_classic_version 3.24.50
+%global gtk3_classic_version 3.24.51-2
 %global glib2_version 2.57.2
 %global pango_version 1.41.0
 %global atk_version 2.35.1
@@ -20,8 +20,8 @@
 %global __provides_exclude_from ^%{_libdir}/gtk-3.0
 
 Name:    gtk3-classic
-Version: 3.24.50
-Release: 2%{?dist}
+Version: 3.24.51
+Release: 1%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -29,6 +29,8 @@ URL:     https://gtk.org
 Source0: https://gitlab.gnome.org/GNOME/gtk/-/archive/%{version}/gtk-%{version}.tar.gz
 Source1: https://github.com/lah7/gtk3-classic/archive/refs/tags/%{gtk3_classic_version}.tar.gz#/gtk3-classic-%{gtk3_classic_version}.tar.gz
 
+Patch0:  drop-down-menu-fix.patch
+
 Provides: gtk3 = %{version}-%{release}
 Provides: gtk3%{?_isa} = %{version}-%{release}
 Conflicts: gtk3%{?_isa}
@@ -238,9 +240,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %doc NEWS README.md
 %{_bindir}/gtk-query-immodules-3.0*
 %{_bindir}/gtk-launch
-%{_libdir}/libgtk-3.so.*
-%{_libdir}/libgdk-3.so.*
-%{_libdir}/libgailutil-3.so.*
+%{_libdir}/libgtk-3.so.0{,.*}
+%{_libdir}/libgdk-3.so.0{,.*}
+%{_libdir}/libgailutil-3.so.0{,.*}
 %dir %{_libdir}/gtk-3.0
 %dir %{_libdir}/gtk-3.0/%{bin_version}
 %dir %{_libdir}/gtk-3.0/%{bin_version}/immodules
@@ -332,6 +334,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Mon Oct 13 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.51-1
+- new version
+
 * Sat Sep 06 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.50-2
 - Remove dependency on gdk-pixbuf2-modules
 

From f07b0dfd5472ca489dcdfb6864842e1447b9c114 Mon Sep 17 00:00:00 2001
From: Zephyr Lykos <git@mochaa.ws>
Date: Jun 12 2026 16:04:04 +0000
Subject: [PATCH 25/25] Rebuild


---

diff --git a/gtk3-classic.spec b/gtk3-classic.spec
index cf3206e..74a81d4 100644
--- a/gtk3-classic.spec
+++ b/gtk3-classic.spec
@@ -21,7 +21,7 @@
 
 Name:    gtk3-classic
 Version: 3.24.51
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: GTK+ graphical user interface library
 
 License: LGPL-2.0-or-later
@@ -334,6 +334,9 @@ gtk-query-immodules-3.0-%{__isa_bits} --update-cache &>/dev/null || :
 %{_datadir}/installed-tests/
 
 %changelog
+* Fri Jun 12 2026 Zephyr Lykos <fedora@mochaa.ws> - 3.24.51-2
+- rebuilt
+
 * Mon Oct 13 2025 Zephyr Lykos <fedora@mochaa.ws> - 3.24.51-1
 - new version
 

